{% extends 'base1.html' %}
{% load static %}

{% block content %}

<style>
    .img_list_view{
    height: 80%;
    width: 100%;
    margin-right: 160px;
    }
</style>

<div class="container my-3">
    <h2>Country Information</h2>
    {% for country in country %}
    <div class="row no-gutters border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 my-4 position-relative">
        <div class="col p-4 d-flex flex-column position-static">
            <strong class="d-inline-block mb-2 text-primary">World</strong>
            <h3 class="mb-0">{{country.country_name}}</h3>
            <div class="mb-1 text-muted">{{country.date}}</div>
            <p class="card-text mb-auto">{{country.currency}}</p>
            <div class="my-2">
                <a href="{% url 'edit-view' country.pk %}"><span class="btn btn-success">EDIT</span></a>
                <a href="/delete/{{country.id}}"><span class="btn btn-danger">DELETE</span></a>
                <a href="{{ country.get_absolute_url }}" role="button" class="btn btn-primary">Continue reading</a>
            </div>

        </div>
        <div class="col-auto  d-lg-block">
            <img  src="{{ country.image.url }}" class="img_list_view" alt="">
            <p>Flag {{ country.country_name }}</p>

        </div>
    </div>
    {% endfor %}
</div>
{% endblock content %}